{ pkgs, inputs, ... }: {
  programs.vicinae = {
    enable = true; # default: false
    systemd = {
      enable = true; # default: false
      autoStart = true; # default: false
      environment = {
        USE_LAYER_SHELL = 1;
      };
    };
    settings = {
      close_on_focus_loss = true;
      consider_preedit = true;
      launcher_window = {
        opacity = 0.98;
      };
      font = {
        normal = {
          size = 10;
          family = "SUIT";
        };
      };
    };
    extensions = with inputs.vicinae-extensions.packages.${pkgs.stdenv.hostPlatform.system}; [
      # bluetooth
      nix
      power-profile
      kde-system-settings
      npm
      port-killer
      pulseaudio
      case-converter
      zed-recents
      vscode-recents
      timer
    ];
  };
}
